#!/bin/bash
#中文-UTF8

curpath=`pwd`
echo $curpath

if grep -q "Ubuntu" /etc/*release*; then
    echo "System is Ubuntu."
    sudo apt-get install -y lame at cron
elif grep -q "CentOS" /etc/*release*; then
    echo "System is CentOS."
    dnf install -y lame at cronie crontabs
else
    echo "Unable to determine system type."
fi

systemctl stop ccvoice.service &
pid=$!
wait $pid
sleep 1
cp -p ./ccvoice/CCVoice.Server /usr/local/ccvoice/
cp -rp ./ccvoice/wwwroot /usr/local/ccvoice/
sleep 1
systemctl restart ccvoice.service
systemctl enable atd
systemctl start atd
echo "0 1 * * * reboot" | sudo crontab -
systemctl restart cron
systemctl restart crond

echo "Upgrade OK"
cd $curpath
sudo rm -rf *
sudo rm -rf /root/ccv_temp
